AI agents: this site is available as Markdown at /llms.txt. Each page has a Markdown version at its URL with a .md suffix, and the full API is described in /api/v3/openapi.json.

Refund a preauthorized charge

Refund pre-authorization transactions.

Last updated 13 September 2026

post

https://api.flutterwave.com/v3/charges/{flw_ref}/refund

authorization string required

Pass your secret key as a bearer token in the request header to authorize this call

FILL IN ALL REQUIRED FIELDS

flw_ref string required
This is a unique reference internally generated by Flutterwave. It is returned as data.flw_ref in the charge response.

FILL IN ALL REQUIRED FIELDS

amount string required
This is the amount to be refunded.

FILL IN ALL REQUIRED FIELDS

status string

message string

data object

FILL IN ALL REQUIRED FIELDS

id integer

tx_ref string

flw_ref string

device_fingerprint string

amount integer

charged_amount integer

app_fee integer

merchant_fee integer

processor_response string

auth_model string

currency string

ip string

narration string

status string

auth_url string

payment_type string

fraud_status string

charge_type string

created_at string

account_id integer

customer object

FILL IN ALL REQUIRED FIELDS

id integer

phone string

fullName string

customertoken string

email string

createdAt string

updatedAt string

deletedAt string

AccountId integer

card object

FILL IN ALL REQUIRED FIELDS

first_6digits string

last_4digits string

issuer string

country string

type string

expiry string

Shell

1
1


FL.AI

Answers from the Flutterwave docs

Hi, I’m FL.AI

Ask anything about Flutterwave’s APIs, guides and coverage.

FL.AI can make mistakes. Check important details in the docs.

Get API Keys